[tor-commits] [builders/tor-browser-build] 17/32: Bug 40414: Add tools/signing/dmg2mar

gitolite role git at cupani.torproject.org
Wed Apr 20 09:38:54 UTC 2022


This is an automated email from the git hooks/post-receive script.

boklm pushed a commit to branch master
in repository builders/tor-browser-build.

commit 9adebc482e8ae2a4a0e921e2b4f0b7ef41fce9a7
Author: Nicolas Vigier <boklm at torproject.org>
AuthorDate: Mon Mar 7 13:40:28 2022 +0100

    Bug 40414: Add tools/signing/dmg2mar
---
 tools/signing/dmg2mar | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/tools/signing/dmg2mar b/tools/signing/dmg2mar
new file mode 100755
index 0000000..246809b
--- /dev/null
+++ b/tools/signing/dmg2mar
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+# This script runs `make dmg2mar-release` or `make dmg2mar-alpha`, after
+# moving the signed dmg files from the $tbb_version-macos-signed directory
+# to the normal signed directory.
+# It should be run after `gatekeeper-bundling.sh`.
+
+set -e
+
+script_dir=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )
+source "$script_dir/functions"
+
+cd "$script_dir/../.."
+
+version=$(./rbm/rbm showconf tor-browser --target alpha --target torbrowser-linux-x86_64 var/torbrowser_version)
+test "$version" = "$tbb_version" || \
+  exit_error "Incorrect tor browser version: $version != $tbb_version"
+
+test -d "$macos_signed_dir" || \
+  exit_error "$macos_signed_dir does not exist"
+
+nb_locales=$(echo $bundle_locales | wc -w)
+nb_bundles=$(ls -1 "$macos_signed_dir"/TorBrowser-*.dmg | wc -l)
+test "$nb_locales" -eq "$nb_bundles" || \
+  exit_error "Wrong number of bundles: $nb_locales != $nb_bundles"
+
+mv -vf "$macos_signed_dir"/TorBrowser-*.dmg "$signed_version_dir"/
+
+make dmg2mar-$tbb_version_type

-- 
To stop receiving notification emails like this one, please contact
the administrator of this repository.


More information about the tor-commits mailing list